org.apache.commons.io.function

## Class UncheckedIOBaseStream<T,S extends IOBaseStream<T,S,B>,B extends java.util.stream.BaseStream<T,B>>

- java.lang.Object
- - org.apache.commons.io.function.UncheckedIOBaseStream<T,S,B>

- Type Parameters:
    `T` - the type of the stream elements.
    `S` - the type of the IO stream extending `IOBaseStream`.
    `B` - the type of the stream extending `BaseStream`.
  All Implemented Interfaces:
    AutoCloseable, java.util.stream.BaseStream<T,B>

      final class UncheckedIOBaseStream<T,S extends IOBaseStream<T,S,B>,B extends java.util.stream.BaseStream<T,B>>
      extends Object
      implements java.util.stream.BaseStream<T,B>

  An `BaseStream` for a `IOBaseStream` that throws `UncheckedIOException` instead of `IOException`. Keep package-private for now.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UncheckedIOBaseStream(S delegate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `boolean` | `isParallel()`
    `Iterator<T>` | `iterator()`
    `B` | `onClose(Runnable closeHandler)`
    `B` | `parallel()`
    `B` | `sequential()`
    `Spliterator<T>` | `spliterator()`
    `B` | `unordered()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UncheckedIOBaseStream

          UncheckedIOBaseStream(S delegate)

  - ### Method Detail

    - #### close

          public void close()

      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `java.util.stream.BaseStream<T,B extends java.util.stream.BaseStream<T,B>>`

    - #### isParallel

          public boolean isParallel()

      Specified by:
        `isParallel` in interface `java.util.stream.BaseStream<T,B extends java.util.stream.BaseStream<T,B>>`

    - #### iterator

          public Iterator<T> iterator()

      Specified by:
        `iterator` in interface `java.util.stream.BaseStream<T,B extends java.util.stream.BaseStream<T,B>>`

    - #### onClose

          public B onClose(Runnable closeHandler)

      Specified by:
        `onClose` in interface `java.util.stream.BaseStream<T,B extends java.util.stream.BaseStream<T,B>>`

    - #### parallel

          public B parallel()

      Specified by:
        `parallel` in interface `java.util.stream.BaseStream<T,B extends java.util.stream.BaseStream<T,B>>`

    - #### sequential

          public B sequential()

      Specified by:
        `sequential` in interface `java.util.stream.BaseStream<T,B extends java.util.stream.BaseStream<T,B>>`

    - #### spliterator

          public Spliterator<T> spliterator()

      Specified by:
        `spliterator` in interface `java.util.stream.BaseStream<T,B extends java.util.stream.BaseStream<T,B>>`

    - #### unordered

          public B unordered()

      Specified by:
        `unordered` in interface `java.util.stream.BaseStream<T,B extends java.util.stream.BaseStream<T,B>>`